/**
Theme Name: Astra Child
Author: Brainstorm Force
Author URI: http://wpastra.com/
Description: Child theme for Astra, A very lightweight and beautiful theme made to work with Page Builders.
Version: 1.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/
body{
	background-color:#F8ECE1 !important;
}
ul{
	margin:0 !important;
}
/* megamenu css */
.elementskit-navbar-nav-default .elementskit-megamenu-panel{
	left:42% !important;
	width:1200px !important;
	transform:translateX(-42%) !important;
}
.elementor .elementor-element.elementor-widget-n-tabs:not(:has(>.elementor-widget-container))>.e-n-tabs>.e-n-tabs-heading .e-n-tab-title[aria-selected=true], .elementor .elementor-element.elementor-widget-n-tabs:not(:has(>.elementor-widget-container))>.e-n-tabs[data-touch-mode=false]>.e-n-tabs-heading .e-n-tab-title[aria-selected=false]:hover{
	background-color:#CFFF50 !important;
}
.elementskit-megamenu-panel .elementor-widget-image{
	mask:100% 50% var(--g),93.301% 75% var(--g),75% 93.301% var(--g),50% 100% var(--g),25% 93.301% var(--g),6.699% 75% var(--g),0% 50% var(--g),6.699% 25% var(--g),25% 6.699% var(--g),50% 0% var(--g),75% 6.699% var(--g),93.301% 25% var(--g),radial-gradient(100% 100%,#000 38.366%,#0000 calc(38.366% + 1px));
	--g:/20.56% 20.56% radial-gradient(#000 calc(71% - 1px),#0000 71%) no-repeat;
	width:60px;
	height:55px;
	background-color:#ECBD02;
	display:flex !important;
	justify-content:center;
	align-items:center;
	transition: all 0.5s;
}
.elementskit-megamenu-panel .grains-sec .elementor-widget-image{
	background-color:#2B453C;
}
.megamenu-section .e-n-tabs-content a .elementor-widget-heading p{
	transition: all 0.5s;
	margin:0 !important;
} 
.megamenu-section .e-n-tabs-content a:hover .elementor-widget-heading p{
	font-weight:600;
	letter-spacing:0.8px;
}
/* heading css */
.heading-section .tagline-sec p{
	clip-path: polygon(100% 0%, calc(100% - 0.75rem) 50%, 100% 100%, 0 100%, 0.75rem 50%, 0 0);
	background:#CFFF50;
	padding:7px 30px;
}
.call-to-action-sec .tagline-sec p{
	background:#354E45 !important;
}
#SR7_1_1-1-1, #SR7_1_1-4-1{
	clip-path: polygon(100% 0%, calc(100% - 0.75rem) 50%, 100% 100%, 0 100%, 0.75rem 50%, 0 0);
}
/* scroll on top css  */
#ast-scroll-top{
	mask:100% 50% var(--g),93.301% 75% var(--g),75% 93.301% var(--g),50% 100% var(--g),25% 93.301% var(--g),6.699% 75% var(--g),0% 50% var(--g),6.699% 25% var(--g),25% 6.699% var(--g),50% 0% var(--g),75% 6.699% var(--g),93.301% 25% var(--g),radial-gradient(100% 100%,#000 38.366%,#0000 calc(38.366% + 1px));
	--g:/20.56% 20.56% radial-gradient(#000 calc(71% - 1px),#0000 71%) no-repeat;
	width:60px;
	height:60px;
	background-color:#CFFF50;
	display:flex !important;
	justify-content:center;
	align-items:center;
	transition: all 0.5s;
}
#ast-scroll-top:hover{
	bottom:40px;
}
#ast-scroll-top svg path{
	fill:#2B453C;
}

.post-template-default .ast-container{
	margin:0;
	padding:0;
	max-width:100%;
}
.post-template-default .ast-container .content-area{
	margin:0 !important;
}
.post-template-default .ast-container .has-post-thumbnail{
	padding:0;
}
.post-template-default .ast-container .content-area ul{
	padding-left:20px;
}
.post-template-default .ast-container .content-area ul li{
	list-style:square;
}
.post-template-default .ast-container .content-area ul li::marker{
	color:#2B453C;
}

.post-template-default .ast-container .content-area ul li strong{
	font-weight:600 !important;
	color:#2B453C;
	font-size:16px;
}
.post-template-default .ast-container .content-area h3{
	color:#2B453C;
	font-family:"Spicy Rice", Sans-serif;
	font-weight:400 !important;
	letter-spacing:0.8px;
	margin:20px 0 10px !important;
}
.post-template-default .ast-container .content-area p{
	margin-bottom:10px !important;
}
/* pagination css */
.page-numbers{
	text-align:right;
}
.page-numbers .prev, .page-numbers li a {
	color:#2B453C !important;
} 
.page-numbers li a:hover, .page-numbers li a:focus{
	background-color:#2B453C !important;
	color:#fff !important;
}
.page-numbers li{
	border-color:#2B453C !important;
}
.page-numbers .current{
	background-color:#2B453C !important;
}
/* service section css */
.services-section .elementor-icon{
	mask:100% 50% var(--g),93.301% 75% var(--g),75% 93.301% var(--g),50% 100% var(--g),25% 93.301% var(--g),6.699% 75% var(--g),0% 50% var(--g),6.699% 25% var(--g),25% 6.699% var(--g),50% 0% var(--g),75% 6.699% var(--g),93.301% 25% var(--g),radial-gradient(100% 100%,#000 38.366%,#0000 calc(38.366% + 1px));
	--g:/20.56% 20.56% radial-gradient(#000 calc(71% - 1px),#0000 71%) no-repeat;
	background-color:#2B453C;
	width:70px;
	height:70px;
	display:flex !important;
	justify-content:center;
	align-items:center;
	padding:20px;
}
.services-section .service-box .elementor-icon{
	 transition: all 0.8s;
}
.services-section .service-box:hover .elementor-icon{
	transform: rotateY(360deg);
    transition: all 0.8s;
}

/* category section css */
.category-sec .cat-heading{
	transform: translate(-50%, -50%);
	background: #2b453ca1;
    padding: 10px;
	z-index:2;
	backdrop-filter:blur(2px);
}
.category-sec:hover .cat-heading{
	background:transparent;
	backdrop-filter:blur(0px);
}
#cat-section, #cat-section .elementor-widget-image, #cat-section .elementor-widget-image img, #cat-section .elementor-widget-image a{
	height:100%;
	object-fit:cover;
}
.category-sec .elementor-widget-image{
	position:relative;
}
.category-sec .elementor-widget-image:before{
	left: 0;
    right: 0;
    z-index: 2;
    content: "";
    margin: auto;
    display: block;
    width: 100%;
    height: 100%;
    opacity: 1;
    transition: all 0.3s linear;
    position: absolute;
}
.category-sec:hover .elementor-widget-image:before{
    width: 100%;
    background: #2b453ca1;
}
.categories-display .category-img{
	height:100%;
}
.categories-display .category-text{
	position:absolute;
	top:60px;
	left:50%;
	transform:translatex(-50%);
	background-color:#cfff50b3;
	backdrop-filter:blur(2px);
	width:80%;
	padding:20px;
}
.product-img .product-name{
	position:absolute;
	top:50%;
	left:50%;
	transform:translate(-50%, -50%);
	background-color:#2b453ca1;
	backdrop-filter:blur(2px);
	width:60%;
	display:flex;
	justify-content:center;
	align-items:center;
	padding:20px;
}
.category-img, .product-img .elementor-widget-image{
	position:relative;
}
.category-img:before, .product-img .elementor-widget-image:before{
	position: absolute;
    content: "";
    transition: all 0.3s linear;
    left: 0;
    top: 0;
    width: 0;
    height: 100%;
    opacity: 0;
    background-color: #2B453C;
}
.category-img:hover:before, .product-img .elementor-widget-image:hover:before{
	opacity: 0.7;
    width: 100%;
}

/* category page css  */
.tax-product_cat .ast-container, .post-type-archive .ast-container, .product-template-default .ast-container {
	max-width:100% !important;
	padding:0 !important;
}
.tax-product_cat .ast-container .ast-on-card-button{
	display:none !important;
}
.tax-product_cat .ast-container .ast-article-post:hover .woocommerce-loop-product__title{
	color:#70B100 !important;
}
.post-type-archive .woocommerce-loop-category__title .count{
	display:none !important;
}
.post-type-archive .woocommerce-loop-category__title{
	background-color: #cfff50b3 !important;
    backdrop-filter: blur(2px);
	padding:10px !important;
}
.product-template-default .woocommerce-product-gallery__trigger{
	display:none !important;
}
.product-template-default .woocommerce-tabs{
	padding:0 !important;
}
.product-template-default .woocommerce-product-gallery{
	margin:0 !important;
}
.product-template-default .woocommerce-tabs .wc-tabs{
	display:none;
}
.product-template-default .woocommerce-Tabs-panel{
	border:none !important;
	padding:0 !important;
} 
.product-template-default .woocommerce-Tabs-panel ul li{
	font-family:"Open Sans", Sans-serif;
	font-size:15px;
	padding:5px 0;
	color:#000;
}
.product-template-default .woocommerce-Tabs-panel ul li strong{
	font-weight:600;
	font-size:16px;
	color:#2B453C;
}
.product-template-default .woocommerce-Tabs-panel table b{
	font-weight:600;
	color:#2B453C;
}
.product-template-default .woocommerce-Tabs-panel table, .product-template-default .woocommerce-Tabs-panel table tr, .product-template-default .woocommerce-Tabs-panel table tr td{
	border:none;
}
/* .product-template-default .woocommerce-Tabs-panel table{
	width:auto;
} */
.product-template-default .woocommerce-Tabs-panel table tr:nth-child(odd) {
  background-color: #F8FFCD;
}
.product-template-default .woocommerce-Tabs-panel table tr:nth-child(even) {
  background-color: #dfff8a;
}
/* marquee css */
.marquee {
  position: relative;
  max-width: 100%;
  overflow-x: hidden;
}
.track {
  white-space: nowrap;
  will-change: transform;
  animation: marquee 15s linear infinite;
	display:flex;
}
.track .content{
	padding:0 30px;
	font-weight:500;
	font-size:15px;
	letter-spacing:0.3px;
	color:#fff !important;
	font-family: "Open Sans", Sans-serif;
}
@keyframes marquee {
  from { transform: translateX(0); }
  to { transform: translateX(-50%); }
}


/* about page css */
.about-images{
	position:relative;
}
.about-images .about-badge{
	position: absolute;
    top: 50%;
    left: 50%;
    width: auto;
    transform: translate(-50%, -50%);
}
.about-images .about-badge img{
	background-color:#F8ECE1;
	padding:20px;
	border-radius:50%;
	animation: rotate 15s linear infinite;
}
 @keyframes rotate {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }
.team-section .team-details{
	position:absolute;
	bottom:40px;
	left:30px;
	width:80%;
	z-index:9;
}
.team-section .elementor-widget-image{
	position:relative;
}
.team-section .elementor-widget-image:before {
    left: 0;
    right: 0;
    z-index: 2;
    content: "";
    margin: auto;
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    opacity: 1;
    transition: all 0.3s linear;
    background: linear-gradient(180deg, rgb(43 69 60 / 0%) 26%, rgb(10 50 36 / 90%) 114%);
}


/* contact form css  */
.contact-form .row{
	display:flex;
	gap:10px;
	width:100%;
}
.contact-form .row .col-md-6{
	width:50%;
}
.contact-form .row .col-md-12, .intl-tel-input{
	width:100%;
}
.intl-tel-input{
	margin-top:10px;
}
.contact-form .wpcf7-form-control{
	margin-top:10px;
	border:2px solid #70B100 !important;
	border-radius:20px;
	background-color:#CFFF50 !important;
	font-family:"Open Sans", Sans-serif;
	color:#000;
	letter-spacing:0.3px;
	
}
.contact-form .wpcf7-submit{
	border-radius:0;
	background-color:#2B453C !important;
	color:#F8ECE1 !important;
	border:none !important;
}
.contact-form .wpcf7-submit:hover{
	background-color:#70B100 !important;
}
.contact-form p{
	margin-bottom:15px !important;
}
.contact-form label{
	font-family:"Open Sans", Sans-serif;
	font-size:16px;
	color:#000;
	letter-spacing:0.3px;
}


.contact-details .elementor-icon{
	mask:100% 50% var(--g),93.301% 75% var(--g),75% 93.301% var(--g),50% 100% var(--g),25% 93.301% var(--g),6.699% 75% var(--g),0% 50% var(--g),6.699% 25% var(--g),25% 6.699% var(--g),50% 0% var(--g),75% 6.699% var(--g),93.301% 25% var(--g),radial-gradient(100% 100%,#000 38.366%,#0000 calc(38.366% + 1px));
	--g:/20.56% 20.56% radial-gradient(#000 calc(71% - 1px),#0000 71%) no-repeat;
	width:80px;
	height:80px;
	display:flex !important;
	justify-content:center;
	align-items:center;
	transition: all 0.5s;
	padding:20px;
}
.contact-details .phone-sec .elementor-icon{
	background-color:#ECBD02;
}
.contact-details .location-sec .elementor-icon{
	background-color:#CFFF50;
}
.contact-details .email-sec .elementor-icon{
	background-color:#ECBD02;
}





